import React from 'react';
import ReactDOM from 'react-dom';
import ComposeWindow from './ComposeWindow.js';
import FolderList from './FolderList.js';
import MessageList from './MessageList.js';
import MessageView from './MessageView.js';
import TabPanel from './TabPanel.js';
import Store from './Store.js';
import StoreListener from './StoreListener.js';
import AllDropdowns from './AllDropdowns.js';

window.requestAnimationFrame = window.requestAnimationFrame || window.mozRequestAnimationFrame;

var AllTabs = StoreListener(TabPanel, function(data)
{
    return { tabs: [
        {
            className: data.layout,
            noclose: true,
            icon: 'mail_unread',
            title: 'Unread (64)',
            children: [ <MessageList key="1" />, <MessageView key="2" /> ]
        },
        {
            icon: 'mail_drafts',
            i16: true,
            title: 'Compose Message',
            children: [ <ComposeWindow key="1" /> ]
        }
    ] }
});

ReactDOM.render(
    <div>
        {AllDropdowns()}
        <FolderList />
        <AllTabs />
    </div>,
    document.getElementById('app')
);

Store.loadAccounts();
